Version 6.7.7 Source
Single Settings for Buying Module

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `supp_master_name` | Select | Supplier Naming By |
    Supplier Name
    Naming Series
2 | `supplier_type` | Link | Default Supplier Type | Supplier Type
3 | `buying_price_list` | Link | Default Buying Price List | Price List
4 | `column_break_3` | Column Break |  |
5 | `po_required` | Select | Purchase Order Required |
    No
    Yes
6 | `pr_required` | Select | Purchase Receipt Required |
    No
    Yes
7 | `maintain_same_rate` | Check | Maintain same rate throughout purchase cycle |
8 | `allow_multiple_items` | Check | Allow Item to be added multiple times in a transaction |

### Controller

#### erpnext.buying.doctype.buying_settings.buying_settings

### Class BuyingSettings

Inherits from frappe.model.document.Document

validate (self)

No docs